Bug 239184 - [NEW PORT] devel/py-pylama: Code audit tool for Python
Summary: [NEW PORT] devel/py-pylama: Code audit tool for Python
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-13 10:40 UTC by Alexander Sieg
Modified: 2019-08-18 04:49 UTC (History)
1 user (show)

See Also:


Attachments
patch (1.84 KB, patch)
2019-07-13 10:40 UTC, Alexander Sieg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Sieg 2019-07-13 10:40:47 UTC
Code audit tool for Python and JavaScript. Pylama wraps these tools:

- pycodestyle (formerly pep8) (c) 2012-2013, Florent Xicluna;
- pydocstyle (formerly pep257 by Vladimir Keleshev) (c) 2014, Amir Rachum;
- PyFlakes (c) 2005-2013, Kevin Watters;
- Mccabe (c) Ned Batchelder;
- Pylint (c) 2013, Logilab (should be installed 'pylama_pylint' module);
- Radon (c) Michele Lacchia
- gjslint (c) The Closure Linter Authors (should be installed 'pylama_gjslint'
  module);
- eradicate (c) Steven Myint;
- Mypy (c) Jukka Lehtosalo and contributors;

WWW: https://github.com/klen/pylama
Comment 1 Alexander Sieg 2019-07-13 10:40:53 UTC
Created attachment 205748 [details]
patch
Comment 2 commit-hook freebsd_committer 2019-08-17 21:47:03 UTC
A commit references this bug:

Author: dbaio
Date: Sat Aug 17 21:46:38 UTC 2019
New revision: 509177
URL: https://svnweb.freebsd.org/changeset/ports/509177

Log:
  Add devel/py-pylama: Code audit tool for Python

  Code audit tool for Python and JavaScript. Pylama wraps these tools:

  - pycodestyle (formerly pep8) (c) 2012-2013, Florent Xicluna;
  - pydocstyle (formerly pep257 by Vladimir Keleshev) (c) 2014, Amir Rachum;
  - PyFlakes (c) 2005-2013, Kevin Watters;
  - Mccabe (c) Ned Batchelder;
  - Pylint (c) 2013, Logilab (should be installed 'pylama_pylint' module);
  - Radon (c) Michele Lacchia
  - gjslint (c) The Closure Linter Authors (should be installed 'pylama_gjslint'
    module);
  - eradicate (c) Steven Myint;
  - Mypy (c) Jukka Lehtosalo and contributors;

  WWW: https://github.com/klen/pylama

  PR:		239184
  Submitted by:	Alexander Sieg <alex@xanderio.de>

Changes:
  head/devel/Makefile
  head/devel/py-pylama/
  head/devel/py-pylama/Makefile
  head/devel/py-pylama/distinfo
  head/devel/py-pylama/files/
  head/devel/py-pylama/files/patch-setup.py
  head/devel/py-pylama/pkg-descr
Comment 3 Danilo G. Baio freebsd_committer 2019-08-17 21:48:51 UTC
Hi.

It's committed.

The 'tests' package is installed in a common place in site-packages, please
report it upstream.

I included a patch to exclude it from the package.

Thanks.